From e8e1e4c71804ba06940724998cfe1dcae53dafb1 Mon Sep 17 00:00:00 2001
From: Shaily <shaily15297@yahoo.com>
Date: Oct 25 2017 23:04:58 +0000
Subject: [PATCH 999/1001] Add markdown test for Sticky Note widget


---

diff --git a/hubs/tests/widgets/test_sticky.py b/hubs/tests/widgets/test_sticky.py
new file mode 100644
index 0000000..d4b9902
--- /dev/null
+++ b/hubs/tests/widgets/test_sticky.py
@@ -0,0 +1,25 @@
+from __future__ import unicode_literals
+
+from . import WidgetTest
+
+
+class StickyTest(WidgetTest):
+
+    plugin = "sticky"
+    initial_widget_config = {
+        "text": """| Tables        | Are           | Cool  |
+                   | ------------- |:-------------:| -----:|
+                   | col 3 is      | right-aligned | $1600 |
+                   | col 2 is      | centered      |   $12 |
+                   | zebra stripes | are neat      |    $1 |
+                """
+    }
+
+    def populate(self):
+        super(StickyTest, self).populate()
+        self._add_widget_under_test()
+
+    def test_markdown_parse(self):
+        func = self.widget.module.get_cached_functions()['ParseMarkdown']
+        result = func(self.widget).execute()
+        self.assertRegexpMatches(result, r'^<table>(?s).*</table>$')

